/*
 * Copyright 2009 Luc Peuvrier
 * 
 * This file is part of parser4j.
 *
 * parser4j is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * parser4j is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with parser4j.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.parser4j.kernelgenerator.service;

/**
 * 
 * @author luc peuvrier
 * 
 */
public class GeneratorRuntimeException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1867197767869972396L;

	public GeneratorRuntimeException() {
		super();
	}

	public GeneratorRuntimeException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public GeneratorRuntimeException(final String message) {
		super(message);
	}

	public GeneratorRuntimeException(final Throwable cause) {
		super(cause);
	}
}
