/*
 * Copyright 2008 Luc Peuvrier
 * 
 * This file is part of parser4j.
 *
 * parser4j is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * parser4j is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with parser4j.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.parser4j.parsetreeinspector.service;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTree;
import javax.swing.tree.TreeCellRenderer;

import net.sf.parser4j.parsetreeinspector.entity.IJtreeNode;

/**
 * {@link IJtreeNode} renderer in Jtree
 * 
 * @author luc peuvrier
 * 
 */
public class NodeTreeCellRenderer implements TreeCellRenderer {

	// private final ImageIcon objectIcon;

	// private final ImageIcon objectNewIcon;

	// private final ImageIcon objectNewSonIcon;

	public NodeTreeCellRenderer() {// NOPMD
		super();
		// URL url = getClass().getResource(
		// "/net/sf/joafip/meminspector/images/object.png");
		// objectIcon = new ImageIcon(url);
		// url = getClass().getResource(
		// "/net/sf/joafip/meminspector/images/objectn.png");
		// objectNewIcon = new ImageIcon(url);
		// url = getClass().getResource(
		// "/net/sf/joafip/meminspector/images/objectns.png");
		// objectNewSonIcon = new ImageIcon(url);
	}

	public Component getTreeCellRendererComponent(final JTree tree,
			final Object value, final boolean selected, final boolean expanded,
			final boolean leaf, final int row, final boolean hasFocus) {
		final JLabel label = new JLabel();
		label.setText(value.toString());
		// final IJtreeNode nodeForObject = (IJtreeNode) value;
		// Icon icon;
		// if (nodeForObject.isMarkedNew()) {
		// icon = objectNewIcon;
		// } else if (nodeForObject.isMarkedNewSon()) {
		// icon = objectNewSonIcon;
		// } else {
		// icon = objectIcon;
		// }
		// label.setIcon(icon);
		return label;
	}

}
