package net.sf.parser4j.generateandparsetest.test;

import junit.framework.Test;
import junit.framework.TestSuite;

public class GenerateAndParseTests {

	public static Test suite() {
		final TestSuite suite = new TestSuite(
				"Test for net.sf.parser4j.generateandparsetest.test");
		// $JUnit-BEGIN$

		// below grammar case test
		suite.addTestSuite(AlternativeGrammarTest.class);
		suite.addTestSuite(ConcatGrammarTest.class);
		suite.addTestSuite(ConcatEmptyGrammarTest.class);
		suite.addTestSuite(EmptyConcatGrammarTest.class);
		suite.addTestSuite(RangeGrammarTest.class);
		suite.addTestSuite(StringGrammarTest.class);
		suite.addTestSuite(ListTest.class);
		suite.addTestSuite(AmbiguousGrammarTest.class);
		suite.addTestSuite(Token1GrammarTest.class);
		suite.addTestSuite(Token2GrammarTest.class);
		suite.addTestSuite(Bug1GrammarTest.class);

		// below test parsing of grammar for generator input
		suite.addTestSuite(BaseInputGrammarForGenTest.class);

		// $JUnit-END$
		return suite;
	}

}
