/*
 * Copyright 2008 Luc Peuvrier
 * 
 * This file is part of parser4j.
 *
 * parser4j is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * parser4j is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with parser4j.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.sf.parser4j.parser.entity.data;

import java.util.LinkedList;
import java.util.List;

/**
 * from state for non terminal
 * 
 * @author luc peuvrier
 * 
 */
public class FromNonTerminalEntry {

	private final List<Pair<Integer, Integer>> list = // NOPMD
	/**/new LinkedList<Pair<Integer, Integer>>();

	/**
	 * 
	 * @param stateNumber
	 *            from state number
	 * @param grammarSymbol
	 *            by grammar symbol
	 */
	public void addFrom(final int stateNumber, final int grammarSymbol) {
		list.add(new Pair<Integer, Integer>(stateNumber, grammarSymbol));
	}

	public List<Pair<Integer, Integer>> getList() {
		return list;
	}
}
