/*
 * Copyright 2009 Luc Peuvrier
 * 
 * Licensed under the GNU LESSER GENERAL PUBLIC LICENSE
 * Licensed under the LGPL License, Version 3, 29 June 2007 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.parser4j.parser.entity.parsenode.status.impl;

/**
 * 
 * @author luc peuvrier
 * 
 */
public class StatusSetterTrace extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1981579015624910414L;

	private static final String STATUS_SETTER_TRACE = "status setter trace";

	public StatusSetterTrace() {
		super(STATUS_SETTER_TRACE);
	}
}
